@article{Kleppmann:2016ve,
author = {Kleppmann, Martin and Beresford, Alastair R},
title = {A Conflict-Free Replicated {JSON} Datatype},
journal = {IEEE Transactions on Parallel and Distributed Systems (TPDS)},
year = {2017},
volume = {28},
number = {10},
pages = {2733--2746},
month = apr,
doi = {10.1109/TPDS.2017.2697382}
}

%% https://arxiv.org/abs/1707.01747
@article{Gomes:2017gy,
author = {Gomes, Victor B F and Kleppmann, Martin and Mulligan, Dominic P and Beresford, Alastair R},
title = {Verifying strong eventual consistency in distributed systems},
journal = {Proceedings of the ACM on Programming Languages (PACMPL)},
year = {2017},
volume = {1},
number = {OOPSLA},
month = oct,
doi = {10.1145/3133933}
}

@incollection{Kleppmann:2018sp,
author = {Kleppmann, Martin and Kollmann, Stephan A. and Vasile, Diana A. and Beresford, Alastair R.},
title = {From Secure Messaging to Secure Collaboration},
booktitle = {26th International Workshop on Security Protocols},
year = {2018}
}

@webpage{DayRichter:2010tt,
author = {Day-Richter, John},
title = {What's different about the new {Google Docs}: Making collaboration fast},
year = {2010},
month = sep,
url = {https://drive.googleblog.com/2010/09/whats-different-about-new-google-docs.html}
}

@webpage{vanHardenberg:2018nw,
author = {van Hardenberg, Peter},
title = {Pixelpusher: Real-time peer-to-peer collaboration with {React}},
year = {2018},
month = feb,
url = {https://medium.com/@pvh/pixelpusher-real-time-peer-to-peer-collaboration-with-react-7c7bc8ecbf74}
}

%% http://www.lively-kernel.org/repository/webwerkstatt/projects/Collaboration/paper/Jupiter.pdf
@inproceedings{Nichols:1995fd,
author = {Nichols, David A and Curtis, Pavel and Dixon, Michael and Lamping, John},
title = {High-Latency, Low-Bandwidth Windowing in the {Jupiter} Collaboration System},
booktitle = {8th Annual ACM Symposium on User Interface Software and Technology (UIST)},
year = {1995},
pages = {111--120},
month = nov,
doi = {10.1145/215585.215706}
}

%% https://pages.lip6.fr/Marek.Zawirski/papers/RR-7687.pdf
@inproceedings{Shapiro:2011un,
author = {Shapiro, Marc and Pregui{\c c}a, Nuno and Baquero, Carlos and Zawirski, Marek},
title = {Conflict-Free Replicated Data Types},
booktitle = {13th International Symposium on Stabilization, Safety, and Security of Distributed Systems (SSS)},
year = {2011},
pages = {386--400},
month = oct,
doi = {10.1007/978-3-642-24550-3_29}
}
